Stop Monitoring
curl --request POST \
--url https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop"
headers = {"x-api-key": "<x-api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.linkupapi.com/v2/webhooks/{webhook_id}/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"webhook_id": "6789abcdef0123456789abcd",
"account_id": "69c127c37cae0494dd827286",
"monitoring": false
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
{
"success": false,
"error": {
"code": "INVALID_PARAMS",
"message": "Webhook not found"
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
Webhooks (Real-Time)
Stop Monitoring
Stop real-time monitoring for a webhook
POST
/
v2
/
webhooks
/
{webhook_id}
/
stop
Stop Monitoring
Stop real-time monitoring for a webhook’s associated account. No more events will be sent to the webhook URL.
Header Parameters
string
required
Your API key
Path Parameters
string
required
The unique identifier of the webhook to stop monitoring for
Response
boolean
Whether monitoring was stopped successfully
object
{
"success": true,
"data": {
"webhook_id": "6789abcdef0123456789abcd",
"account_id": "69c127c37cae0494dd827286",
"monitoring": false
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
{
"success": false,
"error": {
"code": "INVALID_PARAMS",
"message": "Webhook not found"
},
"metadata": {
"action": "stop_webhook",
"credits_consumed": 0,
"timestamp": "2025-01-15T10:30:00.000000"
}
}
Notes
- Credit consumption stops when monitoring is stopped
- You can restart monitoring at any time by calling
/v2/webhooks/{webhook_id}/start - The webhook configuration is preserved — only monitoring is stopped
Was this page helpful?